OpenVDB: VolumeHDDA< TreeT, RayT, 0 > Class Template Reference

OpenVDB 12.1.1

Loading...
Searching...
No Matches
VolumeHDDA< TreeT, RayT, 0 > Class Template Reference

Specialization of Hierarchical Digital Differential Analyzer class that intersects against the leafs or tiles of a generic volume. More...

`#include <openvdb/math/DDA.h>`

## Public Types
using | LeafT = typename TreeT::LeafNodeType
using | TimeSpanT = typename RayT::TimeSpan
using | ChainT
using | NodeT

## Public Member Functions
| VolumeHDDA ()
template<typename AccessorT>
TimeSpanT | march (RayT &ray, AccessorT &acc)
template<typename AccessorT, typename ListT>
void | hits (RayT &ray, AccessorT &acc, ListT &times)

## Friends
class | VolumeHDDA< TreeT, RayT, 1 >
class | VolumeHDDA< TreeT, RayT, ChildNodeLevel+1 >

## Detailed Description

template<typename TreeT, typename RayT>
class openvdb::v12_1::math::VolumeHDDA< TreeT, RayT, 0 >

Specialization of Hierarchical Digital Differential Analyzer class that intersects against the leafs or tiles of a generic volume.

## Member Typedef Documentation

## ◆ ChainT

using ChainT

## ◆ LeafT

template<typename TreeT, typename RayT>

using LeafT = typename TreeT::LeafNodeType

## ◆ NodeT

using NodeT

## ◆ TimeSpanT

template<typename TreeT, typename RayT>

using TimeSpanT = typename RayT::TimeSpan

## Constructor & Destructor Documentation

## ◆ VolumeHDDA()

template<typename TreeT, typename RayT>

VolumeHDDA | ( |  | ) |
| inline

## Member Function Documentation

## ◆ hits()

template<typename TreeT, typename RayT>
template<typename AccessorT, typename ListT>

void hits | ( | RayT & | ray,
|  | AccessorT & | acc,
|  | ListT & | times )
| inline

## ◆ march()

template<typename TreeT, typename RayT>
template<typename AccessorT>

TimeSpanT march | ( | RayT & | ray,
|  | AccessorT & | acc )
| inline

## Friends And Related Symbol Documentation

## ◆ VolumeHDDA< TreeT, RayT, 1 >

template<typename TreeT, typename RayT>

friend class VolumeHDDA< TreeT, RayT, 1 >
| friend

## ◆ VolumeHDDA< TreeT, RayT, ChildNodeLevel+1 >

friend class VolumeHDDA< TreeT, RayT, ChildNodeLevel+1 >
| friend